/// <reference types="node" />
import { Socket as SocketIoSocket } from "socket.io";
import { LogLevelDesc } from "@hyperledger/cactus-common";
export interface IWatchHealthcheckV1EndpointOptions {
    logLevel?: LogLevelDesc;
    socket: SocketIoSocket;
    process: NodeJS.Process;
}
export declare class WatchHealthcheckV1Endpoint {
    readonly options: IWatchHealthcheckV1EndpointOptions;
    static readonly CLASS_NAME = "WatchHealthcheckV1Endpoint";
    private readonly log;
    private readonly socket;
    private readonly process;
    get className(): string;
    constructor(options: IWatchHealthcheckV1EndpointOptions);
    subscribe(): Promise<void>;
}
